View Issue Details

IDProjectCategoryView StatusLast Update
0037628FPCUtilitiespublic2021-04-12 04:22
ReporterDon Siders Assigned ToMarco van de Voort  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformWindowsOSWIndows 8.1 
Product Version3.0.4 
Fixed in Version3.2.1 
Summary0037628: FPDOC missing documentation
DescriptionDocumentation is missing for Project File IMPORTS and IMPORT nodes.

The --write-project option generates a project file with an empty IMPORTS node. There is no information on usage syntax or syntax required for either IMPORTS, or IMPORT.
Steps To Reproducefpdoc.exe --write-project=lazcontrols-chm-project.xml --output=chm --package=lazcontrols
Additional InformationI tested this with FPDOC from both FPC 3.0.4 (from Lazarus 2.0.8 install) and FPC 3.2.0 (from Lazarus 2.0.10 install). I am not using a FPC trunk compiler at the moment, do I cannot test with the latest revision of the tool.
TagsNo tags attached.
Fixed in Revision1852
FPCOldBugId
FPCTarget-
Attached Files

Activities

Marco van de Voort

2021-03-28 15:31

manager   ~0129947

Like the other report, where is this project file, how to duplicate ?

Contrary to the other report, this one still might be an issue.

Don Siders

2021-03-28 16:37

reporter   ~0129950

There was no issue with the project file output by fpdoc.exe. The issue was missing documentation for the imports element in fpdoc.chm.

Marco van de Voort

2021-03-28 17:04

manager   ~0129954

I'm trying to reproduce with your commandline, but I don't have any such XML

Don Siders

2021-03-28 20:34

reporter   ~0129961

The command line generates the XML. Let me try putting this another way,

There is no documentation in fpdoc.chm in the "4.2 Project File Structure" section for the imports node or the import node.

The generated project file from the example command line has an empty <imports/> node, and there is no documentation for what it should contain.

Marco van de Voort

2021-03-28 21:29

manager   ~0129966

Ok, similarly for the online html docs (https://www.freepascal.org/docs-html/current/fpdoc/fpdoc.html) and FPC 3.2.2rc1 docs.

So this is a deeper fpdoc problem, and not a chm one.

Don Siders

2021-03-29 00:18

reporter   ~0129970

My guess it was added in the program but never documented,

Marco van de Voort

2021-04-10 12:38

manager   ~0130220

I added a basic description based on the descriptions/description tags.

Issue History

Date Modified Username Field Change
2020-08-23 17:04 Don Siders New Issue
2021-03-28 15:31 Marco van de Voort Assigned To => Marco van de Voort
2021-03-28 15:31 Marco van de Voort Status new => feedback
2021-03-28 15:31 Marco van de Voort FPCTarget => -
2021-03-28 15:31 Marco van de Voort Note Added: 0129947
2021-03-28 16:37 Don Siders Note Added: 0129950
2021-03-28 16:37 Don Siders Status feedback => assigned
2021-03-28 17:04 Marco van de Voort Note Added: 0129954
2021-03-28 20:34 Don Siders Note Added: 0129961
2021-03-28 21:29 Marco van de Voort Note Added: 0129966
2021-03-29 00:18 Don Siders Note Added: 0129970
2021-04-10 12:38 Marco van de Voort Status assigned => resolved
2021-04-10 12:38 Marco van de Voort Resolution open => fixed
2021-04-10 12:38 Marco van de Voort Fixed in Revision => 1852
2021-04-10 12:38 Marco van de Voort Note Added: 0130220
2021-04-10 12:39 Marco van de Voort Fixed in Version => 3.2.1
2021-04-12 04:22 Don Siders Status resolved => closed